Returns call history entries for the given lead. Lead must belong to the caller’s team.
curl --request GET \
--url https://api.lofty.com/v1.0/communication/call \
--header 'Authorization: <authorization>'{
"calls": [
{
"id": 563172647619608,
"dialerCallRecordId": 400000012345,
"userId": 100234,
"userPhoneNumber": "+14155550100",
"leadId": 100001,
"leadPhoneNumber": "+14155550199",
"direction": "Outbound",
"status": "Completed",
"startTime": "2026-04-22 10:15:00",
"endTime": "2026-04-22 10:18:45",
"duration": 225,
"callingOutcome": "Talked",
"rateScore": 4,
"recordingSwitch": true,
"showUserNumber": "+14155550100",
"createTime": "2026-04-22 10:15:00",
"updateTime": "2026-04-22 10:18:45",
"note": "Discussed pre-approval timeline.",
"isMachineAnswered": false,
"price": 0.02,
"agentId": 100234,
"elapsedTime": "00:08"
}
]
}Documentation Index
Fetch the complete documentation index at: https://developer.lofty.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer [access_token]
ID of the lead whose call history to return.
x >= 1Zero-based index of the first entry to return.
x >= 0Number of entries per page.
1 <= x <= 1000This parameter is used for page turning. When searching by ID is invoked, the interface would starts from this ID, and retrieve data sequentially. It is recommended to use this parameter as a replacement for offset to turn the page within the limit.
Call history entries for the lead.
Wrapped response for GET /v1.0/communication/call. Call history entries are returned under the 'calls' key.
Call history entries.
Show child attributes
curl --request GET \
--url https://api.lofty.com/v1.0/communication/call \
--header 'Authorization: <authorization>'{
"calls": [
{
"id": 563172647619608,
"dialerCallRecordId": 400000012345,
"userId": 100234,
"userPhoneNumber": "+14155550100",
"leadId": 100001,
"leadPhoneNumber": "+14155550199",
"direction": "Outbound",
"status": "Completed",
"startTime": "2026-04-22 10:15:00",
"endTime": "2026-04-22 10:18:45",
"duration": 225,
"callingOutcome": "Talked",
"rateScore": 4,
"recordingSwitch": true,
"showUserNumber": "+14155550100",
"createTime": "2026-04-22 10:15:00",
"updateTime": "2026-04-22 10:18:45",
"note": "Discussed pre-approval timeline.",
"isMachineAnswered": false,
"price": 0.02,
"agentId": 100234,
"elapsedTime": "00:08"
}
]
}